Subject: Re: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514
From: Raphael Peter <[email-masked]>
To: Lucky Umuokoro <[email-masked]>
Cc: Folashade Odutola <[email-masked]>, Benedict Ochade <[email-masked]>, Okoroafor Igwe <[email-masked]>
Date: Fri, 6 Feb 2026 12:05:43 +0000

33,000.00 Approved.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Friday, February 6, 2026 11:53 AM
To: Raphael Peter <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

Dear Raphael,

Gentle reminder.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Thursday, February 5, 2026 4:27 PM
To: Raphael Peter <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

The workshop has done the servicing?

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Raphael Peter <[email-masked]>
Sent: Thursday, February 5, 2026 4:12 PM
To: Lucky Umuokoro <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

Dear Lucky,

Have they serviced the vehicle?

If not take it to Kojo  Motors or ask the workshop to use 0W 40 synthetic  Engine oil for that vehicle.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Thursday, February 5, 2026 4:05 PM
To: Raphael Peter <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

Dear Raphael,

The workshop used total oil to service the vehicle, when the driver called me that he want to service the vehicle, I asked him to go to tojany workshop for the servicing, I never new the vehicle is among our newly  purchase vehicle for huawei work.
The driver did not tell me that, the vehicle is new.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Raphael Peter <[email-masked]>
Sent: Thursday, February 5, 2026 3:51 PM
To: Lucky Umuokoro <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

Dear Lucky,

This is one of our new vehicle - L200

Which Engine oil are they using to service this Vehicle.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Thursday, February 5, 2026 3:29 PM
To: Raphael Peter <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

Dear Raphael,

Kindly approve for further processing.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Thursday, February 5, 2026 2:58 PM
To: Lucky Umuokoro <[email-masked]>
Cc: Raphael Peter <[email-masked]>; Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>
Subject: RE: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

Dear Lucky,

Kindly use this approval.

Name of Workshop

TOJANY WORKSHOP

Veh Reg No

LSR 257 YL

Veh Make

MISTL200

JO No

67514

S/No

Description of Items

Qty

Amount

Maintenance Officer Approval

HOD

Control

1

5 LITERS OF ENGINE OIL

34,000.00

27.5

2

OIL FILTER

5,000.00

2,500

3

LABOR

6,000.00

3,000

TOTAL

45,000.00

                               NGN33,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Lucky Umuokoro <[email-masked]>
Sent: Thursday, 5 February 2026 13:38
To: Okoroafor Igwe <[email-masked]>
Cc: Raphael Peter <[email-masked]>; Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>
Subject: LSR 257 YL MISTL200 FROM HUAWEI TOJANY WORKSHOP JO 67514

Good afternoon, sir!

Kindly find the table for your approval.

Name of Workshop

TOJANY WORKSHOP

Veh Reg No

LSR 257 YL

Veh Make

MISTL200

JO No

67514

S/No

Description of Items

Qty

Amount

Maintenance Officer Approval

HOD

Control

1

5 LITERS OF ENGINE OIL

34,000.00

2

OIL FILTER

5,000.00

3

LABOR

6,000.00

TOTAL

45,000.00

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]